Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.transport
Class EPPServerThread

    java.lang.Object
      java.lang.Thread
          com.verisign.epp.transport.EPPServerThread

All Implemented Interfaces:
  java.lang.Runnable

    public class EPPServerThread

extends java.lang.Thread

$Id: EPPServerThread.java,v 1.2 2004/01/26 21:21:06 jim Exp $

Since:
  JDK1.0
Version:
  1.0, 03/10/01
Author:
  P. Amiri

Nested Class Summary

Nested classes/interfaces inherited from class java.lang.Thread
`java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

Field Summary

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`EPPServerThread(java.net.Socket newSocket, ServerEventHandler newHandler)` Creates a new EPPServerThread object.

Method Summary
`void` | `run()` DOCUMENT ME!

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, clone, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EPPServerThread

    public EPPServerThread(java.net.Socket newSocket,
                           ServerEventHandler newHandler)
                    throws java.io.IOException

  Creates a new EPPServerThread object.

  Parameters:
    `newSocket` - DOCUMENT ME!
    `newHandler` - DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

Method Detail

### run

    public void run()

  DOCUMENT ME!

  Specified by:
    `run` in interface `java.lang.Runnable`
  Overrides:
    `run` in class `java.lang.Thread`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.